package cn.estsh.i3plus.pojo.model.softswitch;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-7-25 下午3:29
 * @Modify:
 **/
@Data
@XStreamAlias("model")
public class XmlModel {

    @XStreamAsAttribute
    private Long id;
    @XStreamAsAttribute
    private Integer caseType;
    private String suitCaseStatus;

    private String key;
    private PojoAuth auth;
    private Request request;

    public XmlModel(Long id, Integer caseType,String suitCaseStatus, String key, PojoAuth auth,Request request) {
        this.id = id;
        this.caseType = caseType;
        this.suitCaseStatus = suitCaseStatus;
        this.key = key;
        this.auth = auth;
        this.request = request;
    }
}



